/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */


#include "schema_enum.h"

const char *qd_schema_router_mode_names[QD_SCHEMA_ROUTER_MODE_ENUM_COUNT] = {
    "QD_SCHEMA_ROUTER_MODE_STANDALONE",
    "QD_SCHEMA_ROUTER_MODE_INTERIOR",
    "QD_SCHEMA_ROUTER_MODE_EDGE"
};


const char *qd_schema_router_defaultDistribution_names[QD_SCHEMA_ROUTER_DEFAULTDISTRIBUTION_ENUM_COUNT] = {
    "QD_SCHEMA_ROUTER_DEFAULTDISTRIBUTION_MULTICAST",
    "QD_SCHEMA_ROUTER_DEFAULTDISTRIBUTION_CLOSEST",
    "QD_SCHEMA_ROUTER_DEFAULTDISTRIBUTION_BALANCED",
    "QD_SCHEMA_ROUTER_DEFAULTDISTRIBUTION_UNAVAILABLE"
};


const char *qd_schema_listener_socketAddressFamily_names[QD_SCHEMA_LISTENER_SOCKETADDRESSFAMILY_ENUM_COUNT] = {
    "QD_SCHEMA_LISTENER_SOCKETADDRESSFAMILY_IPV4",
    "QD_SCHEMA_LISTENER_SOCKETADDRESSFAMILY_IPV6"
};


const char *qd_schema_listener_role_names[QD_SCHEMA_LISTENER_ROLE_ENUM_COUNT] = {
    "QD_SCHEMA_LISTENER_ROLE_NORMAL",
    "QD_SCHEMA_LISTENER_ROLE_INTER_ROUTER",
    "QD_SCHEMA_LISTENER_ROLE_ROUTE_CONTAINER",
    "QD_SCHEMA_LISTENER_ROLE_EDGE"
};


const char *qd_schema_listener_stripAnnotations_names[QD_SCHEMA_LISTENER_STRIPANNOTATIONS_ENUM_COUNT] = {
    "QD_SCHEMA_LISTENER_STRIPANNOTATIONS_IN",
    "QD_SCHEMA_LISTENER_STRIPANNOTATIONS_OUT",
    "QD_SCHEMA_LISTENER_STRIPANNOTATIONS_BOTH",
    "QD_SCHEMA_LISTENER_STRIPANNOTATIONS_NO"
};


const char *qd_schema_connector_protocolFamily_names[QD_SCHEMA_CONNECTOR_PROTOCOLFAMILY_ENUM_COUNT] = {
    "QD_SCHEMA_CONNECTOR_PROTOCOLFAMILY_IPV4",
    "QD_SCHEMA_CONNECTOR_PROTOCOLFAMILY_IPV6"
};


const char *qd_schema_connector_role_names[QD_SCHEMA_CONNECTOR_ROLE_ENUM_COUNT] = {
    "QD_SCHEMA_CONNECTOR_ROLE_NORMAL",
    "QD_SCHEMA_CONNECTOR_ROLE_INTER_ROUTER",
    "QD_SCHEMA_CONNECTOR_ROLE_ROUTE_CONTAINER",
    "QD_SCHEMA_CONNECTOR_ROLE_EDGE"
};


const char *qd_schema_connector_stripAnnotations_names[QD_SCHEMA_CONNECTOR_STRIPANNOTATIONS_ENUM_COUNT] = {
    "QD_SCHEMA_CONNECTOR_STRIPANNOTATIONS_IN",
    "QD_SCHEMA_CONNECTOR_STRIPANNOTATIONS_OUT",
    "QD_SCHEMA_CONNECTOR_STRIPANNOTATIONS_BOTH",
    "QD_SCHEMA_CONNECTOR_STRIPANNOTATIONS_NO"
};


const char *qd_schema_log_module_names[QD_SCHEMA_LOG_MODULE_ENUM_COUNT] = {
    "QD_SCHEMA_LOG_MODULE_ROUTER",
    "QD_SCHEMA_LOG_MODULE_ROUTER_CORE",
    "QD_SCHEMA_LOG_MODULE_ROUTER_HELLO",
    "QD_SCHEMA_LOG_MODULE_ROUTER_LS",
    "QD_SCHEMA_LOG_MODULE_ROUTER_MA",
    "QD_SCHEMA_LOG_MODULE_MESSAGE",
    "QD_SCHEMA_LOG_MODULE_SERVER",
    "QD_SCHEMA_LOG_MODULE_AGENT",
    "QD_SCHEMA_LOG_MODULE_AUTHSERVICE",
    "QD_SCHEMA_LOG_MODULE_CONTAINER",
    "QD_SCHEMA_LOG_MODULE_ERROR",
    "QD_SCHEMA_LOG_MODULE_POLICY",
    "QD_SCHEMA_LOG_MODULE_HTTP",
    "QD_SCHEMA_LOG_MODULE_CONN_MGR",
    "QD_SCHEMA_LOG_MODULE_PYTHON",
    "QD_SCHEMA_LOG_MODULE_PROTOCOL",
    "QD_SCHEMA_LOG_MODULE_DEFAULT"
};


const char *qd_schema_address_distribution_names[QD_SCHEMA_ADDRESS_DISTRIBUTION_ENUM_COUNT] = {
    "QD_SCHEMA_ADDRESS_DISTRIBUTION_MULTICAST",
    "QD_SCHEMA_ADDRESS_DISTRIBUTION_CLOSEST",
    "QD_SCHEMA_ADDRESS_DISTRIBUTION_BALANCED",
    "QD_SCHEMA_ADDRESS_DISTRIBUTION_UNAVAILABLE"
};


const char *qd_schema_linkRoute_distribution_names[QD_SCHEMA_LINKROUTE_DISTRIBUTION_ENUM_COUNT] = {
    "QD_SCHEMA_LINKROUTE_DISTRIBUTION_LINKBALANCED"
};


const char *qd_schema_linkRoute_direction_names[QD_SCHEMA_LINKROUTE_DIRECTION_ENUM_COUNT] = {
    "QD_SCHEMA_LINKROUTE_DIRECTION_IN",
    "QD_SCHEMA_LINKROUTE_DIRECTION_OUT"
};


const char *qd_schema_linkRoute_operStatus_names[QD_SCHEMA_LINKROUTE_OPERSTATUS_ENUM_COUNT] = {
    "QD_SCHEMA_LINKROUTE_OPERSTATUS_INACTIVE",
    "QD_SCHEMA_LINKROUTE_OPERSTATUS_ACTIVE"
};


const char *qd_schema_autoLink_direction_names[QD_SCHEMA_AUTOLINK_DIRECTION_ENUM_COUNT] = {
    "QD_SCHEMA_AUTOLINK_DIRECTION_IN",
    "QD_SCHEMA_AUTOLINK_DIRECTION_OUT"
};


const char *qd_schema_autoLink_operStatus_names[QD_SCHEMA_AUTOLINK_OPERSTATUS_ENUM_COUNT] = {
    "QD_SCHEMA_AUTOLINK_OPERSTATUS_INACTIVE",
    "QD_SCHEMA_AUTOLINK_OPERSTATUS_ATTACHING",
    "QD_SCHEMA_AUTOLINK_OPERSTATUS_FAILED",
    "QD_SCHEMA_AUTOLINK_OPERSTATUS_ACTIVE",
    "QD_SCHEMA_AUTOLINK_OPERSTATUS_QUIESCING",
    "QD_SCHEMA_AUTOLINK_OPERSTATUS_IDLE"
};


const char *qd_schema_exchange_matchMethod_names[QD_SCHEMA_EXCHANGE_MATCHMETHOD_ENUM_COUNT] = {
    "QD_SCHEMA_EXCHANGE_MATCHMETHOD_AMQP",
    "QD_SCHEMA_EXCHANGE_MATCHMETHOD_MQTT"
};


const char *qd_schema_router_link_adminStatus_names[QD_SCHEMA_ROUTER_LINK_ADMINSTATUS_ENUM_COUNT] = {
    "QD_SCHEMA_ROUTER_LINK_ADMINSTATUS_ENABLED",
    "QD_SCHEMA_ROUTER_LINK_ADMINSTATUS_DISABLED"
};


const char *qd_schema_router_link_operStatus_names[QD_SCHEMA_ROUTER_LINK_OPERSTATUS_ENUM_COUNT] = {
    "QD_SCHEMA_ROUTER_LINK_OPERSTATUS_UP",
    "QD_SCHEMA_ROUTER_LINK_OPERSTATUS_DOWN",
    "QD_SCHEMA_ROUTER_LINK_OPERSTATUS_QUIESCING",
    "QD_SCHEMA_ROUTER_LINK_OPERSTATUS_IDLE"
};


const char *qd_schema_router_link_linkType_names[QD_SCHEMA_ROUTER_LINK_LINKTYPE_ENUM_COUNT] = {
    "QD_SCHEMA_ROUTER_LINK_LINKTYPE_ENDPOINT",
    "QD_SCHEMA_ROUTER_LINK_LINKTYPE_ROUTER_CONTROL",
    "QD_SCHEMA_ROUTER_LINK_LINKTYPE_INTER_ROUTER"
};


const char *qd_schema_router_link_linkDir_names[QD_SCHEMA_ROUTER_LINK_LINKDIR_ENUM_COUNT] = {
    "QD_SCHEMA_ROUTER_LINK_LINKDIR_IN",
    "QD_SCHEMA_ROUTER_LINK_LINKDIR_OUT"
};


const char *qd_schema_router_address_distribution_names[QD_SCHEMA_ROUTER_ADDRESS_DISTRIBUTION_ENUM_COUNT] = {
    "QD_SCHEMA_ROUTER_ADDRESS_DISTRIBUTION_FLOOD",
    "QD_SCHEMA_ROUTER_ADDRESS_DISTRIBUTION_MULTICAST",
    "QD_SCHEMA_ROUTER_ADDRESS_DISTRIBUTION_CLOSEST",
    "QD_SCHEMA_ROUTER_ADDRESS_DISTRIBUTION_BALANCED",
    "QD_SCHEMA_ROUTER_ADDRESS_DISTRIBUTION_LINKBALANCED",
    "QD_SCHEMA_ROUTER_ADDRESS_DISTRIBUTION_UNAVAILABLE"
};


const char *qd_schema_connection_adminStatus_names[QD_SCHEMA_CONNECTION_ADMINSTATUS_ENUM_COUNT] = {
    "QD_SCHEMA_CONNECTION_ADMINSTATUS_ENABLED",
    "QD_SCHEMA_CONNECTION_ADMINSTATUS_DELETED"
};


const char *qd_schema_connection_operStatus_names[QD_SCHEMA_CONNECTION_OPERSTATUS_ENUM_COUNT] = {
    "QD_SCHEMA_CONNECTION_OPERSTATUS_UP",
    "QD_SCHEMA_CONNECTION_OPERSTATUS_CLOSING"
};


const char *qd_schema_connection_dir_names[QD_SCHEMA_CONNECTION_DIR_ENUM_COUNT] = {
    "QD_SCHEMA_CONNECTION_DIR_IN",
    "QD_SCHEMA_CONNECTION_DIR_OUT"
};


const char *qd_schema_router_connection_linkRoute_direction_names[QD_SCHEMA_ROUTER_CONNECTION_LINKROUTE_DIRECTION_ENUM_COUNT] = {
    "QD_SCHEMA_ROUTER_CONNECTION_LINKROUTE_DIRECTION_IN",
    "QD_SCHEMA_ROUTER_CONNECTION_LINKROUTE_DIRECTION_OUT"
};

